#ifndef SVN_SWITCHWIDGET_H
#define SVN_SWITCHWIDGET_H

#include "svn_switchdlgbase.h"

namespace SvnGlobal
{
	class SvnInfoHolder;
}

class SvnSwitchDlg : public SvnSwitchDlgBase
{
	TQ_OBJECT
  
public:
	SvnSwitchDlg( const SvnGlobal::SvnInfoHolder *holder,
				  const TQString &wcPath, TQWidget *parent = NULL );
	virtual ~SvnSwitchDlg();

	const TQString currentUrl();
	const TQString destUrl();
	bool recursive();
	bool switchOnly();
	bool relocation();
private slots:
	void resetCurrentRepositoryUrlEdit();
	
private:
	const SvnGlobal::SvnInfoHolder *m_info;
};

#endif
